/* TURNING THE KNOB (PROCESSING)
 * 
 * Example of how to read incomming data
 * from the serial connection.
 * 
 * Frederic Gmeiner, 2011 
 */
 
// first we have to import the serial library:
import processing.serial.*;
 
// variable for our Serial object:
Serial myPort;
// variable to hold the incomming value
int incomingVal;
 
void setup(){
  size(255,255);
  // this line is very helpful to find out the name of the serial 
  // port of your Arduino. It lists all available ports of your
  // computer. (Make sure that your arduino is connected to a USB
  // port before running this sketch) 
  println(Serial.list());
 
  // make a new Serial object with the name of our current Arduino 
  // port. NOTE: The name of the port is different for each Arduino
  // so we have to change it accordingly. On a windows system it is
  // called different like "COM3" or similar. 
  myPort = new Serial(this,"COM3",9600);
}
 
void draw(){
  background(0);
 
  // only read from the serial port if there is new data 
  // available and store this in the variable incommingVal:  
  while(myPort.available() > 0){
    incomingVal = myPort.read();
  }
  // set the fill color to the incoming value: 
  fill(incomingVal);
  // draw a rectangle with the height of the
  // incomming value:
  rect(0,height-incomingVal,width,height);
}
